package com.ynet.life.search;

import java.util.ArrayList;
import java.util.List;
import org.apache.lucene.document.Document;
import org.apache.lucene.index.Term;
import org.apache.lucene.misc.ChainedFilter;
import org.apache.lucene.search.Filter;
import org.apache.lucene.search.QueryWrapperFilter;
import org.apache.lucene.search.TermQuery;

/* loaded from: com_ynet_life_search.jar:com/ynet/life/search/RCUBankNoIndexSearch.class */
public class RCUBankNoIndexSearch extends AbstractDBIndexSearch {
    private Filter filter;

    public RCUBankNoIndexSearch(String indexFolderFile, String queryString, int howMany) {
        super(indexFolderFile, queryString, howMany);
    }

    @Override // com.ynet.life.search.AbstractDBIndexSearch
    protected List getResultSet(Document document) {
        List record = new ArrayList();
        record.add(document.getField("unionBankNo").stringValue());
        record.add(document.getField("bankName").stringValue());
        record.add(document.getField("cityCode").stringValue());
        record.add(document.getField("cityName").stringValue());
        record.add(document.getField("provinceCode").stringValue());
        record.add(document.getField("provinceName").stringValue());
        record.add(document.getField("state").stringValue());
        return record;
    }

    @Override // com.ynet.life.search.AbstractDBIndexSearch
    public Filter getFilter() {
        if (this.filter == null) {
            Filter[] filterList = {new QueryWrapperFilter(new TermQuery(new Term("state", "0")))};
            this.filter = new ChainedFilter(filterList, 1);
        }
        return this.filter;
    }
}
